package com.bonus.canteen.core.auth.user.vo;

import io.swagger.annotations.ApiModelProperty;

public class MgrUserRoleInfoVO {
   @ApiModelProperty("角色id")
   private Long roleId;
   @ApiModelProperty("角色code")
   private String roleCode;
   @ApiModelProperty("是否默认，1：是，2：否")
   private Integer ifDefault;
   @ApiModelProperty("角色类型")
   private Integer roleType;

   public Long getRoleId() {
      return this.roleId;
   }

   public String getRoleCode() {
      return this.roleCode;
   }

   public Integer getIfDefault() {
      return this.ifDefault;
   }

   public Integer getRoleType() {
      return this.roleType;
   }

   public void setRoleId(final Long roleId) {
      this.roleId = roleId;
   }

   public void setRoleCode(final String roleCode) {
      this.roleCode = roleCode;
   }

   public void setIfDefault(final Integer ifDefault) {
      this.ifDefault = ifDefault;
   }

   public void setRoleType(final Integer roleType) {
      this.roleType = roleType;
   }

   public String toString() {
      Long var10000 = this.getRoleId();
      return "MgrUserRoleInfoVO(roleId=" + var10000 + ", roleCode=" + this.getRoleCode() + ", ifDefault=" + this.getIfDefault() + ", roleType=" + this.getRoleType() + ")";
   }
}
